import { TypeValidation } from './Types/TypeValidation';
import { OptionType } from './OptionType';

interface Option {
  name: string;
  type: OptionType;
  required?: boolean;
  default?: unknown;
  alias?: string;
  env?: string;
  description?: string;
  message?: string;
}

interface OptionProcess extends Option {
  filled: boolean;
  value?: unknown;
  type_validation: TypeValidation;
}

export { Option, OptionProcess };
